.product-cover {
  opacity: 1;
  $parent: &;
  $mobilepadding: 26px;
  $desktoppadding: $global-padding-box-desktop;

  position: relative;

  &__container.container {
    max-width: 900px;
    position: relative;
  }

  &__wrapper {
    position: relative;

    @include breakpoint($medium) {
    }
  }

  &.product-cover--flourish {
    padding-bottom: map-get($mobile, space-lg-withFlourish);

    + .product-cover__spacer {
      min-height:35px;
    }
    

    @include breakpoint($medium) {
      padding-bottom: map-get($desktop, space-lg-withFlourish);     

      + .product-cover__spacer {
        min-height:70px;
      }
    }
  }

  &__main {
    position: relative;
    z-index: 5;

    @include breakpoint($medium) {
      min-height: 23rem;
    }
  }

  &--hasButton {
    #{$parent}__main {
      @include breakpoint($medium) {
        min-height: 29rem;
      }
    }
  }

  &--hasIntro {
    #{$parent}__main {
      @include breakpoint($medium) {
        min-height: 29rem;
      }
    }
  }

  &--shortItems {
    #{$parent}__main {
      @include breakpoint($medium) {
        min-height: 23rem;
      }
    }
  }

  &__spacer {
    min-height: 2rem;

    @include breakpoint(500px) {
      min-height: 5rem;
    }

    @include breakpoint($medium) {
      min-height: 2rem;
    }
  }

  &__price {
    color: $color-heading;
    @include breakpoint($medium) {
      margin-left: map-get($desktop, space-sm);
    }
    @include font-archer-book;
    font-size: 22px;
    line-height: 1;

    small {
      display: block;
      font-size: 11px;
      font-weight: 600;
    }
  }

  &__copy {
    flex-grow: 1;
    flex-shrink: 1;
    color: $text-color;

    a {
      display: inline;

      &:focus {
        outline: none;
      }
    }
  }

  &__buttons {
    margin-top: map-get($desktop, space-sm);
  }

  &__cell {
    background-color: #fff;
    background-color: rgba(255, 255, 255, 0.98);
    padding: $mobilepadding;
    border-radius: $mobilepadding / 2;
    margin: 0 0 16px 0;

    @include breakpoint($large) {
      padding: $desktoppadding;

      &.sm {
        padding-top: $desktoppadding / 2;
        padding-bottom: $desktoppadding / 2;
      }
    }

    &:last-child,
    > *:last-child {
      margin-bottom: 0;
    }

    &.linked {
      color: $link-color;
      cursor: pointer;
      padding-right: 35px;

      #{$parent}__copy {
        font-weight: 600;
      }

      &:hover {
        color: $link-color-hover;
      }
    }
  }

  li {
    &#{$parent}__cell {
      padding-top: 20px;
      padding-bottom: 20px;
      @include breakpoint($large) {
        padding-top: 20px;
        padding-bottom: 20px;
      }
    }
  }

  &__data {
    @include breakpoint($medium) {
      display: flex;
      align-items: center;
    }
  }

  &__flourish {
    position: absolute;
    bottom: -75px;
    z-index: 4;
    user-select: none;
    left: 0;
    transform: translateY(50%);
    width: 100%;
    margin: 0;

    @include breakpoint($medium) {
      transform: translateY(60%);
      width: auto;    
    }

    img {
      display: block;
      line-height: 1;
      position: relative;
      max-height: 260px;
      width: 50%;
      left: 50%;
      transform: translateX(-50%);

      @include breakpoint($medium) {
        width: 70%;
        max-height: none;
      }

      @include breakpoint($medium) {
        width: auto;
        left: 50%;
        max-width: 500px;
      }

      @include breakpoint($large) {
        left: 40%;
      }
    }
  }

  ul {
    list-style: none;
    margin: 0;
    padding: 2rem 0 0 0;
    position: relative;

    @include breakpoint($medium) {
      padding: 4rem 0 0 2rem;
      border-left: 1px solid rgba(255, 255, 255, 0.3);
    }

    &:before {
      content: "";
      position: absolute;
      top: 0;
      left: 1.48rem;
      width: 1px;
      height: 2rem;
      background: #fff;

      @include breakpoint($medium) {
        display: none;
      }
    }

    &:after {
      content: "";
      position: absolute;
      top: 1rem;
      left: 1.5rem;
      width: 10px;
      height: 10px;
      border-radius: 50%;
      background: #fff;
      transform: translate(-50%, -50%);

      @include breakpoint($medium) {
        display: none;
      }
    }

    li {
      position: relative;
      padding-left: 70px;
      line-height: 1.2;

      min-height: 80px;

      min-height: 80px;

      @include breakpoint($large) {
        padding-left: 70px;
        min-height: 80px;
      }

      p {
        line-height: inherit;

        &:last-child {
          margin-bottom: 0;
        }
      }

      &:before {
        content: "";
        height: 12px;
        width: 12px;
        background: #fff;
        border-radius: 100%;
        position: absolute;
        left: -2rem;
        top: 50%;
        transform: translate(-50%, -50%);
      }
    }
  }
  &__icon,
  .lazyload-placeholder {
    width: 40px;
    position: absolute;
    left: 1rem;
    top: 20px;
    line-height: 1;

    img {
      display: block;
    }

    @include breakpoint($large) {
      width: 40px;
    }
  }
  &__link-icon {
    position: absolute;
    top: 14px;
    bottom: 14px;
    display: flex;
    align-items: center;
    border-left: 1px solid #edeff0;
    right: 10px;
    padding-left: 5px;
    svg {
      width: 14px;
      fill: $link-color;
    }
    @include breakpoint($medium) {
      right: 5px;
      padding-left: 5px;
    }
  }
  &__cell.linked:hover {
    a {
      color: $link-color-hover;
      border-color: $link-color-hover;
    }
    .product-cover__link-icon svg {
      fill: $link-color-hover;
    }
  }

  .head {
    padding: 0;
  }

  .lead {
    color: $color-heading;
  }

  &--extraTopPadding {
    padding-top: 3rem;
  }
}
